> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codeqr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create links

> Bulk create up to 100 links for the authenticated workspace.

<Warning>
  Bulk link creation does not support [custom link
  previews](https://codeqr.io/help/article/custom-link-previews). Also, [webhook
  events](/concepts/webhooks/introduction) will not be triggered when using this
  endpoint.
</Warning>


## OpenAPI

````yaml post /links/bulk
openapi: 3.0.3
info:
  title: CodeQR.io API
  description: >-
    SaaS platform for creating dynamic QR Codes, trackable short links, and
    interactive pages, focused on automation, analytics, and engagement.
  version: 0.0.1
  contact:
    name: CodeQR.io Support
    email: contact@codeqr.io
    url: https://codeqr.io/api
  license:
    name: AGPL-3.0 license
servers:
  - url: https://api.codeqr.io
    description: Production API
security: []
paths:
  /links/bulk:
    post:
      tags:
        - Links
      summary: Bulk create links
      description: Bulk create up to 100 links for the authenticated workspace.
      operationId: bulkCreateLinks
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  url:
                    type: string
                    description: The destination URL of the short link.
                    example: https://google.com
                  domain:
                    type: string
                    description: >-
                      The domain of the short link. If not provided, the main
                      domain of the project will be used (or `codeqr.link` if
                      the project has no domains).
                  key:
                    type: string
                    description: >-
                      The slug of the short link. If not provided, a random
                      7-character slug will be generated.
                  externalId:
                    type: string
                    nullable: true
                    minLength: 1
                    maxLength: 255
                    description: >-
                      This is the ID of the link in your database. If set, it
                      can be used to identify the link in the future. Must be
                      prefixed with `ext_` when passed as a query parameter.
                    example: '123456'
                  prefix:
                    type: string
                    description: >-
                      The prefix of the short link slug for randomly generated
                      keys (for example, if the prefix is `/c/`, the generated
                      keys will be in the format `/c/:key`). Will be ignored if
                      `key` is provided.
                  trackConversion:
                    type: boolean
                    default: false
                    description: Whether to track conversions for the short link.
                  archived:
                    type: boolean
                    default: false
                    description: Whether the short link is archived.
                  expiresAt:
                    type: string
                    nullable: true
                    format: date-time
                    description: >-
                      The date and time when the short link will expire in
                      ISO-8601 format. Must be in the future.
                  expiredUrl:
                    type: string
                    nullable: true
                    description: The URL to redirect to when the short link expires.
                  password:
                    type: string
                    nullable: true
                    default: null
                    description: >-
                      The password required to access the short link destination
                      URL.
                  proxy:
                    type: boolean
                    default: false
                    description: >-
                      Whether the short link uses the custom link preview
                      feature.
                  title:
                    type: string
                    nullable: true
                    default: null
                    description: >-
                      The title of the short link generated via
                      `api.codeqr.io/metatags`. Will be used for custom link
                      preview if `proxy` is true.
                  description:
                    type: string
                    nullable: true
                    default: null
                    description: >-
                      The description of the short link generated via
                      `api.codeqr.io/metatags`. Will be used for custom link
                      preview if `proxy` is true.
                  image:
                    type: string
                    nullable: true
                    default: null
                    description: >-
                      The image of the short link generated via
                      `api.codeqr.io/metatags`. Will be used for custom link
                      preview if `proxy` is true.
                  video:
                    type: string
                    nullable: true
                    default: null
                    description: The video of the short link.
                  rewrite:
                    type: boolean
                    default: false
                    description: Whether the short link uses link cloaking.
                  ios:
                    type: string
                    nullable: true
                    default: null
                    description: >-
                      The iOS destination URL for the short link for iOS device
                      targeting.
                  android:
                    type: string
                    nullable: true
                    default: null
                    description: >-
                      The Android destination URL for the short link for Android
                      device targeting.
                  geo:
                    type: object
                    nullable: true
                    properties:
                      AF:
                        type: string
                      AL:
                        type: string
                      DZ:
                        type: string
                      AS:
                        type: string
                      AD:
                        type: string
                      AO:
                        type: string
                      AI:
                        type: string
                      AQ:
                        type: string
                      AG:
                        type: string
                      AR:
                        type: string
                      AM:
                        type: string
                      AW:
                        type: string
                      AU:
                        type: string
                      AT:
                        type: string
                      AZ:
                        type: string
                      BS:
                        type: string
                      BH:
                        type: string
                      BD:
                        type: string
                      BB:
                        type: string
                      BY:
                        type: string
                      BE:
                        type: string
                      BZ:
                        type: string
                      BJ:
                        type: string
                      BM:
                        type: string
                      BT:
                        type: string
                      BO:
                        type: string
                      BA:
                        type: string
                      BW:
                        type: string
                      BV:
                        type: string
                      BR:
                        type: string
                      IO:
                        type: string
                      BN:
                        type: string
                      BG:
                        type: string
                      BF:
                        type: string
                      BI:
                        type: string
                      KH:
                        type: string
                      CM:
                        type: string
                      CA:
                        type: string
                      CV:
                        type: string
                      KY:
                        type: string
                      CF:
                        type: string
                      TD:
                        type: string
                      CL:
                        type: string
                      CN:
                        type: string
                      CX:
                        type: string
                      CC:
                        type: string
                      CO:
                        type: string
                      KM:
                        type: string
                      CG:
                        type: string
                      CD:
                        type: string
                      CK:
                        type: string
                      CR:
                        type: string
                      CI:
                        type: string
                      HR:
                        type: string
                      CU:
                        type: string
                      CY:
                        type: string
                      CZ:
                        type: string
                      DK:
                        type: string
                      DJ:
                        type: string
                      DM:
                        type: string
                      DO:
                        type: string
                      EC:
                        type: string
                      EG:
                        type: string
                      SV:
                        type: string
                      GQ:
                        type: string
                      ER:
                        type: string
                      EE:
                        type: string
                      ET:
                        type: string
                      FK:
                        type: string
                      FO:
                        type: string
                      FJ:
                        type: string
                      FI:
                        type: string
                      FR:
                        type: string
                      GF:
                        type: string
                      PF:
                        type: string
                      TF:
                        type: string
                      GA:
                        type: string
                      GM:
                        type: string
                      GE:
                        type: string
                      DE:
                        type: string
                      GH:
                        type: string
                      GI:
                        type: string
                      GR:
                        type: string
                      GL:
                        type: string
                      GD:
                        type: string
                      GP:
                        type: string
                      GU:
                        type: string
                      GT:
                        type: string
                      GN:
                        type: string
                      GW:
                        type: string
                      GY:
                        type: string
                      HT:
                        type: string
                      HM:
                        type: string
                      VA:
                        type: string
                      HN:
                        type: string
                      HK:
                        type: string
                      HU:
                        type: string
                      IS:
                        type: string
                      IN:
                        type: string
                      ID:
                        type: string
                      IR:
                        type: string
                      IQ:
                        type: string
                      IE:
                        type: string
                      IL:
                        type: string
                      IT:
                        type: string
                      JM:
                        type: string
                      JP:
                        type: string
                      JO:
                        type: string
                      KZ:
                        type: string
                      KE:
                        type: string
                      KI:
                        type: string
                      KP:
                        type: string
                      KR:
                        type: string
                      KW:
                        type: string
                      KG:
                        type: string
                      LA:
                        type: string
                      LV:
                        type: string
                      LB:
                        type: string
                      LS:
                        type: string
                      LR:
                        type: string
                      LY:
                        type: string
                      LI:
                        type: string
                      LT:
                        type: string
                      LU:
                        type: string
                      MO:
                        type: string
                      MG:
                        type: string
                      MW:
                        type: string
                      MY:
                        type: string
                      MV:
                        type: string
                      ML:
                        type: string
                      MT:
                        type: string
                      MH:
                        type: string
                      MQ:
                        type: string
                      MR:
                        type: string
                      MU:
                        type: string
                      YT:
                        type: string
                      MX:
                        type: string
                      FM:
                        type: string
                      MD:
                        type: string
                      MC:
                        type: string
                      MN:
                        type: string
                      MS:
                        type: string
                      MA:
                        type: string
                      MZ:
                        type: string
                      MM:
                        type: string
                      NA:
                        type: string
                      NR:
                        type: string
                      NP:
                        type: string
                      NL:
                        type: string
                      NC:
                        type: string
                      NZ:
                        type: string
                      NI:
                        type: string
                      NE:
                        type: string
                      NG:
                        type: string
                      NU:
                        type: string
                      NF:
                        type: string
                      MK:
                        type: string
                      MP:
                        type: string
                      'NO':
                        type: string
                      OM:
                        type: string
                      PK:
                        type: string
                      PW:
                        type: string
                      PS:
                        type: string
                      PA:
                        type: string
                      PG:
                        type: string
                      PY:
                        type: string
                      PE:
                        type: string
                      PH:
                        type: string
                      PN:
                        type: string
                      PL:
                        type: string
                      PT:
                        type: string
                      PR:
                        type: string
                      QA:
                        type: string
                      RE:
                        type: string
                      RO:
                        type: string
                      RU:
                        type: string
                      RW:
                        type: string
                      SH:
                        type: string
                      KN:
                        type: string
                      LC:
                        type: string
                      PM:
                        type: string
                      VC:
                        type: string
                      WS:
                        type: string
                      SM:
                        type: string
                      ST:
                        type: string
                      SA:
                        type: string
                      SN:
                        type: string
                      SC:
                        type: string
                      SL:
                        type: string
                      SG:
                        type: string
                      SK:
                        type: string
                      SI:
                        type: string
                      SB:
                        type: string
                      SO:
                        type: string
                      ZA:
                        type: string
                      GS:
                        type: string
                      ES:
                        type: string
                      LK:
                        type: string
                      SD:
                        type: string
                      SR:
                        type: string
                      SJ:
                        type: string
                      SZ:
                        type: string
                      SE:
                        type: string
                      CH:
                        type: string
                      SY:
                        type: string
                      TW:
                        type: string
                      TJ:
                        type: string
                      TZ:
                        type: string
                      TH:
                        type: string
                      TL:
                        type: string
                      TG:
                        type: string
                      TK:
                        type: string
                      TO:
                        type: string
                      TT:
                        type: string
                      TN:
                        type: string
                      TR:
                        type: string
                      TM:
                        type: string
                      TC:
                        type: string
                      TV:
                        type: string
                      UG:
                        type: string
                      UA:
                        type: string
                      AE:
                        type: string
                      GB:
                        type: string
                      US:
                        type: string
                      UM:
                        type: string
                      UY:
                        type: string
                      UZ:
                        type: string
                      VU:
                        type: string
                      VE:
                        type: string
                      VN:
                        type: string
                      VG:
                        type: string
                      VI:
                        type: string
                      WF:
                        type: string
                      EH:
                        type: string
                      YE:
                        type: string
                      ZM:
                        type: string
                      ZW:
                        type: string
                      AX:
                        type: string
                      BQ:
                        type: string
                      CW:
                        type: string
                      GG:
                        type: string
                      IM:
                        type: string
                      JE:
                        type: string
                      ME:
                        type: string
                      BL:
                        type: string
                      MF:
                        type: string
                      RS:
                        type: string
                      SX:
                        type: string
                      SS:
                        type: string
                      XK:
                        type: string
                    additionalProperties: false
                    default: null
                    description: >-
                      Geographic targeting information for the short link in
                      JSON format `{[COUNTRY]: https://example.com }`.
                  doIndex:
                    type: boolean
                    default: false
                    description: >-
                      Allow search engines to index your short link. Default is
                      `false` if not provided. Learn more:
                      https://codeqr.link/noindex
                  webhookIds:
                    type: array
                    nullable: true
                    items:
                      type: string
                    description: >-
                      An array of webhook IDs to trigger when the link is
                      clicked. These webhooks will receive click event data.
                  publicStats:
                    type: boolean
                    default: false
                    description: Whether the short link statistics are publicly accessible.
                  tagId:
                    type: string
                    nullable: true
                    description: >-
                      The unique ID of the tag assigned to the short link. This
                      field is deprecated – use `tagIds` instead.
                    deprecated: true
                  tagIds:
                    anyOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: The unique IDs of the tags assigned to the short link.
                    example:
                      - clux0rgak00011...
                  tagNames:
                    anyOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: >-
                      The unique name of the tags assigned to the short link
                      (case insensitive).
                  folderId:
                    type: string
                    nullable: true
                    description: The unique ID existing folder to assign the short link to.
                  comments:
                    type: string
                    nullable: true
                    description: The comments for the short link.
                  flexible:
                    type: boolean
                    default: false
                    description: Whether the short link is flexible.
                  preRedirection:
                    type: boolean
                    default: false
                    description: Whether the short link has pre-redirection.
                  pageId:
                    type: string
                    nullable: true
                    description: >-
                      The ID of the page to redirect to before the link
                      destination.
                  pageUrl:
                    type: string
                    nullable: true
                    description: >-
                      The URL of the page to redirect to before the link
                      destination.
                  isFormMandatory:
                    type: boolean
                    default: false
                    description: If the form is mandatory for the page.
                required:
                  - url
      responses:
        '200':
          description: The created links
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - $ref: '#/components/schemas/LinkSchema'
                    - $ref: '#/components/schemas/LinkErrorSchema'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '409':
          $ref: '#/components/responses/409'
        '410':
          $ref: '#/components/responses/410'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - token: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Codeqr from '@codeqr/ts';

            const client = new Codeqr({
              apiKey: process.env['CODEQR_API_KEY'], // This is the default and can be omitted
            });

            const bulks = await client.links.bulk.create();

            console.log(bulks);
components:
  schemas:
    LinkSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the short link.
        domain:
          type: string
          description: >-
            The domain of the short link. If not provided, the main domain of
            the project will be used (or `codeqr.link` if the project has no
            domains).
        key:
          type: string
          description: >-
            The slug of the short link. If not provided, a random 7-character
            slug will be generated.
        url:
          type: string
          format: uri
          description: The destination URL of the short link.
        archived:
          type: boolean
          default: false
          description: Whether the short link is archived.
        expiresAt:
          type: string
          nullable: true
          description: >-
            The date and time when the short link will expire in ISO-8601
            format. Must be in the future.
        expiredUrl:
          type: string
          nullable: true
          format: uri
          description: The URL to redirect to when the short link expires.
        trackConversion:
          type: boolean
          default: false
          description: '[BETA] Whether to track conversions for the short link.'
        flexible:
          type: boolean
          default: false
          description: Whether the short link is flexible.
        doIndex:
          type: boolean
          default: false
          description: Whether search engines can index the short link.
        password:
          type: string
          nullable: true
          description: The password required to access the short link destination URL.
        externalId:
          type: string
          nullable: true
          description: This is the ID of the link in your database.
        proxy:
          type: boolean
          default: false
          description: Whether the short link uses the custom link preview feature.
        title:
          type: string
          nullable: true
          description: >-
            The title of the short link generated via `api.codeqr.io/metatags`.
            Will be used for custom link preview if `proxy` is true.
        description:
          type: string
          nullable: true
          description: >-
            The description of the short link generated via
            `api.codeqr.io/metatags`. Will be used for custom link preview if
            `proxy` is true.
        image:
          type: string
          nullable: true
          description: >-
            The image of the short link generated via `api.codeqr.io/metatags`.
            Will be used for custom link preview if `proxy` is true.
        video:
          type: string
          nullable: true
          description: The video of the short link.
        rewrite:
          type: boolean
          default: false
          description: Whether the short link uses link cloaking.
        ios:
          type: string
          nullable: true
          description: The iOS destination URL for the short link for iOS device targeting.
        android:
          type: string
          nullable: true
          description: >-
            The Android destination URL for the short link for Android device
            targeting.
        geo:
          type: object
          nullable: true
          additionalProperties:
            type: string
          description: >-
            Geographic targeting information for the short link in JSON format
            `{[COUNTRY]: https://example.com }`. Learn more:
            https://codeqr.link/geo
        publicStats:
          type: boolean
          default: false
          description: Whether the short link statistics are publicly accessible.
        tagId:
          type: string
          nullable: true
          description: >-
            [DEPRECATED (use `tags` instead)]: The unique ID of the tag assigned
            to the short link.
          deprecated: true
        tags:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/TagSchema'
          description: The tags assigned to the short link.
        folderId:
          type: string
          nullable: true
          description: The unique ID of the folder assigned to the short link.
        comments:
          type: string
          nullable: true
          description: The comments for the short link.
        notificationToken:
          type: string
          nullable: true
          description: The notification token of the short link.
        shortLink:
          type: string
          format: uri
          description: >-
            The complete URL of the short link, including the https protocol
            (for example, `https://codeqr.link/try`).
        qrCode:
          type: string
          format: uri
          description: >-
            The complete QR code URL for the short link (for example,
            `https://api.codeqr.io/qr?url=https://codeqr.link/try`).
        utm_source:
          type: string
          nullable: true
          description: The UTM source of the short link.
        utm_medium:
          type: string
          nullable: true
          description: The UTM medium of the short link.
        utm_campaign:
          type: string
          nullable: true
          description: The UTM campaign of the short link.
        utm_term:
          type: string
          nullable: true
          description: The UTM term of the short link.
        utm_content:
          type: string
          nullable: true
          description: The UTM content of the short link.
        userId:
          type: string
          description: The ID of the user who created the short link.
        projectId:
          type: string
          description: The ID of the project of the short link.
        clicks:
          type: number
          default: 0
          description: The number of clicks on the short link.
        leads:
          type: number
          default: 0
          description: The number of leads generated by the short link.
        sales:
          type: number
          default: 0
          description: The number of sales generated by the short link.
        saleAmount:
          type: number
          default: 0
          description: The amount of the sale generated by the link.
        lastClicked:
          type: string
          nullable: true
          description: The date and time when the short link was last clicked.
        createdAt:
          type: string
          description: The date and time when the short link was created.
        updatedAt:
          type: string
          description: The date and time when the short link was last updated.
        preRedirection:
          type: boolean
          default: false
          description: Whether the short link has pre-redirection.
        pageId:
          type: string
          nullable: true
          description: The ID of the page to redirect to before the link destination.
        pageUrl:
          type: string
          nullable: true
          description: The URL of the page to redirect to before the link destination.
        isFormMandatory:
          type: boolean
          default: false
          description: If the form is mandatory for the page.
        filled:
          type: boolean
          default: false
          description: Whether the link is filled or not.
      required:
        - id
        - domain
        - key
        - url
        - archived
        - expiresAt
        - expiredUrl
        - trackConversion
        - flexible
        - doIndex
        - password
        - externalId
        - proxy
        - title
        - description
        - image
        - video
        - rewrite
        - ios
        - android
        - geo
        - publicStats
        - tagId
        - tags
        - folderId
        - comments
        - notificationToken
        - utm_source
        - utm_medium
        - utm_campaign
        - utm_term
        - utm_content
        - userId
        - projectId
        - clicks
        - leads
        - sales
        - saleAmount
        - lastClicked
        - createdAt
        - updatedAt
        - preRedirection
        - isFormMandatory
        - filled
      title: Link
    LinkErrorSchema:
      type: object
      properties:
        link:
          description: The link that caused the error.
        error:
          type: string
          description: The error message.
        code:
          type: string
          enum:
            - bad_request
            - not_found
            - internal_server_error
            - unauthorized
            - forbidden
            - rate_limit_exceeded
            - invite_expired
            - invite_pending
            - exceeded_limit
            - conflict
            - unprocessable_entity
            - service_unavailable
          description: The error code.
      required:
        - error
        - code
      title: LinkError
    TagSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the tag.
        name:
          type: string
          description: The name of the tag.
        color:
          type: string
          enum:
            - red
            - yellow
            - green
            - blue
            - purple
            - pink
            - brown
          description: The color of the tag.
      required:
        - id
        - name
        - color
      title: Tag
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            x-speakeasy-name-override: BadRequest
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.codeqr.io/api-reference/errors#bad-request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Unauthorized
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.codeqr.io/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Forbidden
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.codeqr.io/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: NotFound
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.codeqr.io/api-reference/errors#not-found
                required:
                  - code
                  - message
            required:
              - error
    '409':
      description: >-
        This response is sent when a request conflicts with the current state of
        the server.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Conflict
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - conflict
                    description: A short code indicating the error code returned.
                    example: conflict
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.codeqr.io/api-reference/errors#conflict
                required:
                  - code
                  - message
            required:
              - error
    '410':
      description: >-
        This response is sent when the requested content has been permanently
        deleted from server, with no forwarding address.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: InviteExpired
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - invite_expired
                    description: A short code indicating the error code returned.
                    example: invite_expired
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.codeqr.io/api-reference/errors#invite-expired
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: UnprocessableEntity
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.codeqr.io/api-reference/errors#unprocessable-entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            x-speakeasy-name-override: RateLimitExceeded
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.codeqr.io/api-reference/errors#rate-limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: InternalServerError
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.codeqr.io/api-reference/errors#internal-server_error
                required:
                  - code
                  - message
            required:
              - error
  securitySchemes:
    token:
      type: http
      description: Default authentication mechanism
      scheme: bearer

````